
QGIS Application - Bug report #11449

.osm extension missing when downloading OSM data with the "download OSM data" tool

2014-10-20 05:24 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 19725

Description

Please add .osm file extension automatically to downloaded file. If the user doesn't add it, QGIS doesn't recognise the file as OSM - it

opens it but treats it like GPX and shows waypoints, routes and routepoints. If you then add .osm then QGIS sees all five OSM layers.

History

#1 - 2014-10-20 07:34 AM - Giovanni Manghi

- Affected QGIS version set to 2.4.0

- Subject changed from OSM Vector tool to .osm extension missing when downloading OSM data with the "download OSM data" tool

- Tracker changed from Feature request to Bug report

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Feedback

I just tested on master and the .osm extension is added properly.

#2 - 2015-05-10 02:29 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback.
